Summary:	Anyterm Daemon
Name:		anytermd
Version:	1.1.29
Release:	%mkrel 4
License:	GPLv2
Group:		System/Servers
URL:		http://anyterm.org
Source0:	http://anyterm.org/download/anyterm-%{version}.tbz2
Source1:	anytermd.init
Source2:	anytermd.sysconfig
Patch0:		anyterm-1.1.28-respect-LDFLAGS.patch
Patch1:		anyterm-1.1.29-gcc-4.4.patch
Requires:	openssl
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	boost-devel
BuildRequires:	librote-devel
BuildRequires:	mailcap
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is the Anyterm daemon terminal emulator.

%prep
%setup -q -n anyterm-%{version}
%patch0 -p0
%patch1 -p0

cp %{SOURCE1} anytermd.init
cp %{SOURCE2} anytermd.sysconfig

%build
%serverbuild

%make GCC_FLAGS="%optflags -pthread -fPIC -D_REENTRANT" LDFLAGS="%ldflags"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}/var/lib/anytermd

install -m0755 anytermd %{buildroot}%{_sbindir}/anytermd
install -m0755 anytermd.init %{buildroot}%{_initrddir}/anytermd
install -m0644 anytermd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/anytermd

%post
%_post_service anytermd

%preun
%_preun_service anytermd

%pre
%_pre_useradd anytermd /var/lib/anytermd /bin/false

%postun
%_postun_userdel anytermd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README
%attr(0755,root,root) %{_initrddir}/anytermd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/anytermd
%attr(0755,root,root) %{_sbindir}/anytermd
%attr(0755,anytermd,anytermd) %dir /var/lib/anytermd


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.29-4mdv2011.0
+ Revision: 609979
- rebuild

* Tue Feb 16 2010 Funda Wang <fwang@mandriva.org> 1.1.29-3mdv2010.1
+ Revision: 506698
- add gentoo patches to make it build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - 1.1.29

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jan 08 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.28-1mdv2009.1
+ Revision: 327197
- 1.1.28

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 1.1.27-2mdv2009.1
+ Revision: 316863
- rebuild for new boost

* Tue Oct 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.27-1mdv2009.1
+ Revision: 297944
- 1.1.27

* Thu Oct 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.26-1mdv2009.1
+ Revision: 296677
- 1.1.26
- drop the gcc43 patch, it's implemented

* Mon Aug 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.25-2mdv2009.0
+ Revision: 273427
- rebuild against new boost

* Sun Aug 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.25-1mdv2009.0
+ Revision: 273018
- import anytermd


* Sun Aug 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.25-1mdv2009.0
- initial Mandriva package
